uk.gov.hmrc.performance.conf

# JourneyConfiguration

###
Related Doc: package conf

#### trait JourneyConfiguration extends Configuration

Linear Supertypes
Configuration, AnyRef, Any
Known Subclasses
PerformanceTestRunner
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JourneyConfiguration
2. Configuration
3. AnyRef
4. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val allJourneys: List[String]

5. #### lazy val applicationConfig: Config

   Definition Classes
     Configuration

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def checkJourneyName(id: String): Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def definitions(labels: Set[String] = Set.empty): Seq[JourneyDefinition]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def generateDescription(abstractDescription: String, runIf: Set[String], skipIf: Set[String]): String

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hasProperty(property: String): Boolean

    Definition Classes
      Configuration

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val journeysAvailable: List[String]

19. #### def keys(property: String): List[String]

    Definition Classes
      Configuration

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### def readProperty(property: String, default: String): String

    Definition Classes
      Configuration

24. #### def readProperty(property: String): String

    Definition Classes
      Configuration

25. #### def readPropertyBooleanOption(property: String): Option[Boolean]

    Definition Classes
      Configuration

26. #### def readPropertyList(property: String): List[String]

    Definition Classes
      Configuration

27. #### def readPropertyOption(property: String): Option[String]

    Definition Classes
      Configuration

28. #### def readPropertySet(property: String): Set[String]

    Definition Classes
      Configuration

29. #### def readPropertySetOrEmpty(property: String): Set[String]

    Definition Classes
      Configuration

30. #### lazy val runLocal: Boolean

    Definition Classes
      Configuration

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### def validateExtendedJourney(abstractJourneyId: String): Unit

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Configuration

### Inherited from AnyRef

### Inherited from Any

### Ungrouped